package test ;

import org.maachang.rimdb.* ;

// サンプル4
// テーブル元情報の再読み込み.
//
public final class Sample4 {
    
    public static final void main( String[] args ) throws Exception {
        
        // コンフィグファイル名.
        // ※環境に合わせて変更してください.
        String confFile = "/C:/project/java/project/ReadInMemoryDB/sample/conf/rimdb.conf" ;
        
        // rimdbの定義を読み込む.
        TableFactory factory = TableFactory.getInstance() ;
        factory.init( confFile ) ;
        
        // rimdb全体の定義を再読み込み.
        factory.reload() ;
        
        // 指定テーブルの情報を再読み込み.
        factory.reload( "test_table" ) ;
    }
}
